# vim: set ft=spec: -*- rpm-spec -*-

#define cvsdate 20040223

Name: scummvm-tools
Version: 0.9.0
Release: alt1

Summary: Utilities for the SCUMM graphic adventure game interpreter
Group: Games/Adventure
License: GPL
Url: http://www.scummvm.org

Packager: Sir Raorn <raorn@altlinux.ru>

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %name-%version.tar.bz2
%endif

# Automatically added by buildreq on Tue Jul 04 2006
BuildRequires: gcc-c++ libpng-devel

%description
This is a collection of various tools that may be useful to use
in conjunction with ScummVM.

%prep
%ifdef cvsdate
%setup -q -n %name
%else
%setup -q -n tools-%version
%endif

%build
%make_build CFLAGS="%optflags"

%install
%__mkdir_p %buildroot%_bindir
%__install -m755 -p \
	compress_kyra \
	compress_queen \
	compress_saga \
	compress_scumm_san \
	compress_scumm_sou \
	compress_scumm_bun \
	compress_simon \
	compress_sword1 \
	compress_sword2 \
	dekyra \
	descumm \
	desword2 \
	encode_dxa \
	extract_kyra \
	extract_loom_tg16 \
	extract_mm_c64 \
	extract_mm_nes \
	extract_scumm_mac \
	extract_simon1_amiga \
	extract_zak_c64 \
		%buildroot%_bindir

%files
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%doc README COPYING
%_bindir/*

%changelog
* Tue Jul 04 2006 Sir Raorn <raorn@altlinux.ru> 0.9.0-alt1
- [0.9.0]
 + compress_san renamed to compress_scumm_san
 + added compress_kyra
 + added encode_dxa

* Mon Oct 31 2005 Sir Raorn <raorn@altlinux.ru> 0.8.0-alt1
- [0.8.0]
- Removed summary/description translations (use specspo)

* Fri Dec 24 2004 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- [0.7.0]

* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1
- [0.6.1]

* Sat Mar 27 2004 Sir Raorn <raorn@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Feb 24 2004 Sir Raorn <raorn@altlinux.ru> 0.5.0-alt2
- CVS snapshot 20040223
- spec cleanup

* Wed Aug 13 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Sun Jun 29 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Dec 23 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.0b-alt1
- ALTLnux build

